package cache

import (
	"fmt"
	"hongze/hz_crm_api/models/system"
	"hongze/hz_crm_api/utils"
)

func AdminOperateRecord(adminId int, realName, uuid, uri, params, ip, userAgent, header string) bool {
	record := new(system.AdminOperateRecord)
	record.AdminId = adminId
	record.RealName = realName
	record.Uuid = uuid
	record.Uri = uri
	record.Params = params
	record.Ip = ip
	record.UserAgent = userAgent
	record.Header = header
	if utils.Re == nil {
		err := utils.Rc.LPush(utils.CACHE_KEY_ADMIN_OPERATE_RECORD, record)
		if err != nil {
			fmt.Println("AdminOperateRecord LPush Err:" + err.Error())
		}
		return true
	}
	return false
}
